/*
Антон (Лилой) Москаленко
e-mail: liloi@mail.ru
03/07/06



pol_to_dek_x(...)
pol_to_dek_y(...)
Полярные координаты -> Декартовы к.

dek_to_pol_ro(...)
dek_to_pol_ang(...)
Декартовы к. -> Полярные к.

cil_to_dek_x(...)
cil_to_dek_y(...)
cil_to_dek_z(...)
Цилиндрические к. -> Декартовы к.

dek_to_cil_ro(...)
dek_to_cil_ang(...)
dek_to_cil_z(...)
Декартовы к. -> Цилиндрические к.

sfer_to_dek_x(...)
sfer_to_dek_y(...)
sfer_to_dek_z(...)
Сферические к. -> Декартовы к.

dek_to_sfer_fi(...)
dek_to_sfer_teta(...)
dek_to_sfer_r(...)
Декартовы к. -> Сферические к.

*/

#include <math.h>

double pol_to_dek_x(double ro, double alpha)
{
	return ro*cos(alpha);
}

double pol_to_dek_y(double ro, double alpha)
{
	return ro*sin(alpha);
}

double dek_to_pol_ro(double x, double y)
{
	return sqrt(pow(x,2)+pow(y,2));
}

double dek_to_pol_ang(double x, double y)
{
	return atan(y/x);
}

double cil_to_dek_x(double ro, double alpha)
{
	return ro*cos(alpha);
}

double cil_to_dek_y(double ro, double alpha)
{
	return ro*sin(alpha);
}

#define cil_to_dek_z(z) z

double dek_to_cil_ro(double x, double y)
{
	return sqrt(pow(x,2)+pow(y,2));
}

double dek_to_cil_ang(double x, double y)
{
	return atan(y/x);
}

#define dek_to_cil_z(z) z

double sfer_to_dek_x(double r, double teta, double fi)
{
	return r*sin(teta)*cos(fi);
}

double sfer_to_dek_y(double r, double teta, double fi)
{
	return r*sin(teta)*sin(fi);
}

double sfer_to_dek_z(double r, double teta)
{
	return r*cos(teta);
}

double dek_to_sfer_fi(double x, double y)
{
	return atan(y/x);
}

double dek_to_sfer_teta(double x, double y, double z)
{
	return atan(x/(z*cos(atan(y/x))));
}

double dek_to_sfer_r(double x, double y, double z)
{
	return z/cos(atan(x/(z*cos(atan(y/x)))));
}

//
 
